extern crate piston_window;
use piston_window::*;
use piston_window::math::{Scalar};

mod game;
use game::Game;

const XDIM: u32 = 600;
const YDIM: u32 = 600;

fn main() {
    let window: PistonWindow = WindowSettings::new(
        "rust-pilot",
        [XDIM, YDIM]
    )
        .exit_on_esc(true)
        .samples(8)
        .vsync(true)
        .build()
        .unwrap();

    // Create a new game and run it.
    let mut game = Game::new(XDIM as Scalar, YDIM as Scalar);
    for e in window {
        match e.event {
            Some(Event::Update(upd)) => {
                game.update(upd);
            }

            Some(Event::Render(ren)) => {
                game.render(ren, e);
            }

            Some(Event::Input(inp)) => {
                game.input(inp);
            }
            _ => {

            }
        }
    }
}
